Loading...
Searching...
No Matches
Opm::EclSpecrockLaw< ScalarT, ParamsT > Class Template Reference

Implements the volumetric interior energy relations of rock used by ECL. More...

`#include <EclSpecrockLaw.hpp>`

## Public Types

using | Params = ParamsT
using | Scalar = typename Params::Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | solidInternalEnergy (const Params &params, const FluidState &fluidState)
| Given a fluid state, compute the volumetric internal energy of the rock [W/m^3].

## Detailed Description

template<class ScalarT, class ParamsT = EclSpecrockLawParams<ScalarT>>
class Opm::EclSpecrockLaw< ScalarT, ParamsT >

Implements the volumetric interior energy relations of rock used by ECL.

This class uses the approach defined via SPECROCK keyword.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclSpecrockLaw.hpp